/* The LinTalk Project
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <gtk/gtk.h>
#include "globals.h"
#include "gui_popup.h"
#include "support.h"
#include "callbacks.h"

extern GUI gui;

/***************************************************************************************
 * STATICS
 ***************************************************************************************/
/***************************************************************************************
 * END STATICS
 ***************************************************************************************/


/*
 * A simple message popup_msg.
 */
void popup(const char *text, GtkMessageType type)
{
  GtkWidget *popup = NULL;
  
  popup = gtk_message_dialog_new((GtkWindow *)gui.lintalk,
                                  GTK_DIALOG_MODAL,
                                  type,
                                  GTK_BUTTONS_CLOSE,
                                  "%s",
                                  text);
  
  /* Destroy the dialog when the user responds to it (e.g. clicks a button) */
  gtk_dialog_run (GTK_DIALOG (popup));
  gtk_widget_destroy(GTK_WIDGET(popup));
}
